Add dns_canonicalize_hostname=fallback support

Rebuild Samba for MIT Kerberos soname bump of libkadm5srv

How to install

sudo dnf upgrade --advisory=FEDORA-2019-4b96c70de4
This update has been submitted for testing by rharwood. 7 months ago
This update has been pushed to testing. 7 months ago
User Icon bojan commented & provided feedback 7 months ago
karma

Works here client/server.

User Icon mtasaka commented & provided feedback 7 months ago
karma
 Problem 1: package samba-dc-libs-2:4.10.2-0.fc30.x86_64 requires libkadm5srv_mit.so.11()(64bit), but none of the providers can be installed
  - package samba-dc-libs-2:4.10.2-0.fc30.x86_64 requires libkadm5srv_mit.so.11(kadm5srv_mit_11_MIT)(64bit), but none of the providers can be installed
  - cannot install both libkadm5-1.17-14.fc30.x86_64 and libkadm5-1.17-4.fc30.x86_64
  - cannot install both libkadm5-1.17-4.fc30.x86_64 and libkadm5-1.17-14.fc30.x86_64
  - cannot install the best update candidate for package samba-dc-libs-2:4.10.2-0.fc30.x86_64
  - cannot install the best update candidate for package libkadm5-1.17-4.fc30.x86_64
 Problem 2: problem with installed package samba-dc-libs-2:4.10.2-0.fc30.x86_64
  - package samba-dc-libs-2:4.10.2-0.fc30.x86_64 requires libkadm5srv_mit.so.11()(64bit), but none of the providers can be installed
  - package samba-dc-libs-2:4.10.2-0.fc30.x86_64 requires libkadm5srv_mit.so.11(kadm5srv_mit_11_MIT)(64bit), but none of the providers can be installed
  - cannot install both libkadm5-1.17-14.fc30.x86_64 and libkadm5-1.17-4.fc30.x86_64
  - cannot install both libkadm5-1.17-4.fc30.x86_64 and libkadm5-1.17-14.fc30.x86_64
  - package krb5-devel-1.17-14.fc30.x86_64 requires libkadm5(x86-64) = 1.17-14.fc30, but none of the providers can be installed
  - cannot install the best update candidate for package krb5-devel-1.17-4.fc30.x86_64

I will advice to specify soversion explicitly in spec file.

abbra edited this update. New build(s): - samba-4.10.2-1.fc30 Karma has been reset. 7 months ago
This update has been submitted for testing by abbra. 7 months ago

@mtasaka I added a Samba rebuild that should fix this problem.

User Icon cserpentis commented & provided feedback 7 months ago
karma

works for me, no conflicts

This update has been pushed to testing. 7 months ago
User Icon mtasaka commented & provided feedback 7 months ago
karma

Still fails:

 問題 1: package samba-dc-libs-2:4.10.2-1.fc30.x86_64 requires libkadm5srv_mit.so.11()(64bit), but none of the providers can be installed
  - package samba-dc-libs-2:4.10.2-1.fc30.x86_64 requires libkadm5srv_mit.so.11(kadm5srv_mit_11_MIT)(64bit), but none of the providers can be installed
  - cannot install both libkadm5-1.17-14.fc30.x86_64 and libkadm5-1.17-4.fc30.x86_64
  - cannot install both libkadm5-1.17-4.fc30.x86_64 and libkadm5-1.17-14.fc30.x86_64
  - cannot install the best update candidate for package samba-dc-libs-2:4.10.2-0.fc30.x86_64
  - cannot install the best update candidate for package libkadm5-1.17-4.fc30.x86_64

https://koji.fedoraproject.org/koji/buildinfo?buildID=1258877 , especially https://kojipkgs.fedoraproject.org//packages/samba/4.10.2/1.fc30/data/logs/x86_64/root.log says that samba-4.10.2-1.fc30 is rebuilt with krb5-devel-1.17-4.fc30.x86_64 , not -14.fc30. You have to submit override tag for krb5-1.17-14.fc30 and then rebuild samba.

abbra edited this update. New build(s): - samba-4.10.2-1.1.fc30 Removed build(s): - samba-4.10.2-1.fc30 Karma has been reset. 7 months ago
This update has been submitted for testing by abbra. 7 months ago

@mtasaka thanks! I've rebuilt against -14.fc30

This update has been pushed to testing. 7 months ago
User Icon renault commented & provided feedback 6 months ago
karma

Works fine

User Icon vinumoses provided feedback 6 months ago
karma
User Icon pwalter commented & provided feedback 6 months ago
karma

Works

User Icon kparal commented & provided feedback 6 months ago
karma

klist, kinit and kdestroy work fine, also from gnome online accounts. I haven't tested samba

This update has been submitted for batched by abbra. 6 months ago
This update has been submitted for stable by abbra. 6 months ago
This update has been pushed to stable. 6 months ago

Please login to add feedback.

Metadata
Type
enhancement
Karma
4
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Dates
submitted
7 months ago
in testing
7 months ago
in stable
6 months ago
modified
7 months ago

Automated Test Results

Test Cases

0 0 Test Case desktop network smb